## cbflib 0.7.9.1

=== Makefile ===

######################################################################
#  Makefile - command file for make to create CBFlib                 #
#                                                                    #
# Version 0.7.9 28 Dec 2007                                          #
#                                                                    #
#                          Paul Ellis and                            #
#         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
#                                                                    #
# (C) Copyright 2006 - 2007 Herbert J. Bernstein                     #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# YOU MAY REDISTRIBUTE THE CBFLIB PACKAGE UNDER THE TERMS OF THE GPL #
#                                                                    #
# ALTERNATIVELY YOU MAY REDISTRIBUTE THE CBFLIB API UNDER THE TERMS  #
# OF THE LGPL                                                        #
#                                                                    #
######################################################################

########################### GPL NOTICES ##############################
#                                                                    #
# This program is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU General Public License as     #
# published by the Free Software Foundation; either version 2 of     #
# (the License, or (at your option) any later version.               #
#                                                                    #
# This program is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      #
# GNU General Public License for more details.                       #
#                                                                    #
# You should have received a copy of the GNU General Public License  #
# along with this program; if not, write to the Free Software        #
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA           #
# 02111-1307  USA                                                    #
#                                                                    #
######################################################################

######################### LGPL NOTICES ###############################
#                                                                    #
# This library is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU Lesser General Public         #
# License as published by the Free Software Foundation; either       #
# version 2.1 of the License, or (at your option) any later version. #
#                                                                    #
# This library is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  #
# Lesser General Public License for more details.                    #
#                                                                    #
# You should have received a copy of the GNU Lesser General Public   #
# License along with this library; if not, write to the Free         #
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    #
# MA  02110-1301  USA                                                #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
#                    Stanford University Notices                     #
#  for the CBFlib software package that incorporates SLAC software   #
#                 on which copyright is disclaimed                   #
#                                                                    #
# This software                                                      #
# -------------                                                      #
# The term "this software", as used in these Notices, refers to      #
# those portions of the software package CBFlib that were created by #
# employees of the Stanford Linear Accelerator Center, Stanford      #
# University.                                                        #
#                                                                    #
# Stanford disclaimer of copyright                                   #
# --------------------------------                                   #
# Stanford University, owner of the copyright, hereby disclaims its  #
# copyright and all other rights in this software.  Hence, anyone    #
# may freely use it for any purpose without restriction.             #
#                                                                    #
# Acknowledgement of sponsorship                                     #
# ------------------------------                                     #
# This software was produced by the Stanford Linear Accelerator      #
# Center, Stanford University, under Contract DE-AC03-76SFO0515 with #
# the Department of Energy.                                          #
#                                                                    #
# Government disclaimer of liability                                 #
# ----------------------------------                                 #
# Neither the United States nor the United States Department of      #
# Energy, nor any of their employees, makes any warranty, express or #
# implied, or assumes any legal liability or responsibility for the  #
# accuracy, completeness, or usefulness of any data, apparatus,      #
# product, or process disclosed, or represents that its use would    #
# not infringe privately owned rights.                               #
#                                                                    #
# Stanford disclaimer of liability                                   #
# --------------------------------                                   #
# Stanford University makes no representations or warranties,        #
# express or implied, nor assumes any liability for the use of this  #
# software.                                                          #
#                                                                    #
# Maintenance of notices                                             #
# ----------------------                                             #
# In the interest of clarity regarding the origin and status of this #
# software, this and all the preceding Stanford University notices   #
# are to remain affixed to any copy or derivative of this software   #
# made or distributed by the recipient and are to be affixed to any  #
# copy of software made or distributed by the recipient that         #
# contains a copy or derivative of this software.                    #
#                                                                    #
# Based on SLAC Software Notices, Set 4                              #
# OTT.002a, 2004 FEB 03                                              #
######################################################################



######################################################################
#                               NOTICE                               #
# Creative endeavors depend on the lively exchange of ideas. There   #
# are laws and customs which establish rights and responsibilities   #
# for authors and the users of what authors create.  This notice     #
# is not intended to prevent you from using the software and         #
# documents in this package, but to ensure that there are no         #
# misunderstandings about terms and conditions of such use.          #
#                                                                    #
# Please read the following notice carefully.  If you do not         #
# understand any portion of this notice, please seek appropriate     #
# professional legal advice before making use of the software and    #
# documents included in this software package.  In addition to       #
# whatever other steps you may be obliged to take to respect the     #
# intellectual property rights of the various parties involved, if   #
# you do make use of the software and documents in this package,     #
# please give credit where credit is due by citing this package,     #
# its authors and the URL or other source from which you obtained    #
# it, or equivalent primary references in the literature with the    #
# same authors.                                                      #
#                                                                    #
# Some of the software and documents included within this software   #
# package are the intellectual property of various parties, and      #
# placement in this package does not in any way imply that any       #
# such rights have in any way been waived or diminished.             #
#                                                                    #
# With respect to any software or documents for which a copyright    #
# exists, ALL RIGHTS ARE RESERVED TO THE OWNERS OF SUCH COPYRIGHT.   #
#                                                                    #
# Even though the authors of the various documents and software      #
# found here have made a good faith effort to ensure that the        #
# documents are correct and that the software performs according     #
# to its documentation, and we would greatly appreciate hearing of   #
# any problems you may encounter, the programs and documents any     #
# files created by the programs are provided **AS IS** without any   *
# warranty as to correctness, merchantability or fitness for any     #
# particular or general use.                                         #
#                                                                    #
# THE RESPONSIBILITY FOR ANY ADVERSE CONSEQUENCES FROM THE USE OF    #
# PROGRAMS OR DOCUMENTS OR ANY FILE OR FILES CREATED BY USE OF THE   #
# PROGRAMS OR DOCUMENTS LIES SOLELY WITH THE USERS OF THE PROGRAMS   #
# OR DOCUMENTS OR FILE OR FILES AND NOT WITH AUTHORS OF THE          #
# PROGRAMS OR DOCUMENTS.                                             #
######################################################################

######################################################################
#                                                                    #
#                           The IUCr Policy                          #
#      for the Protection and the Promotion of the STAR File and     #
#     CIF Standards for Exchanging and Archiving Electronic Data     #
#                                                                    #
# Overview                                                           #
#                                                                    #
# The Crystallographic Information File (CIF)[1] is a standard for   #
# information interchange promulgated by the International Union of  #
# Crystallography (IUCr). CIF (Hall, Allen & Brown, 1991) is the     #
# recommended method for submitting publications to Acta             #
# Crystallographica Section C and reports of crystal structure       #
# determinations to other sections of Acta Crystallographica         #
# and many other journals. The syntax of a CIF is a subset of the    #
# more general STAR File[2] format. The CIF and STAR File approaches #
# are used increasingly in the structural sciences for data exchange #

=== getopt-1.1.4_cbf/Makefile ===
.SUFFIXES:

DESTDIR=
prefix=/usr/local
bindir=$(prefix)/bin
mandir=$(prefix)/man
man1dir=$(mandir)/man1
libdir=$(prefix)/lib
sharedir=$(prefix)/share
getoptdir=$(libdir)/getopt
localedir=$(sharedir)/locale

# Define this to 0 to use the getopt(3) routines in this package.
LIBCGETOPT=1

# Define this to 1 if you do not have the gettext routines
WITHOUT_GETTEXT=0

# For creating the archive
PACKAGE=getopt
VERSION=1.1.4
BASENAME=$(PACKAGE)-$(VERSION)
UNLIKELYNAME=a8vwjfd92

SHELL=/bin/sh

CC=gcc
LD=ld
RM=rm -f
INSTALL=install
MSGFMT=msgfmt

LANGUAGES = cs de es fr it ja nl pt_BR
MOFILES:=$(patsubst %,po/%.mo,$(LANGUAGES))

CPPFLAGS=-DLIBCGETOPT=$(LIBCGETOPT) -DWITH_GETTEXT=$(WITH_GETTEXT) \
-DLOCALEDIR=\"$(localedir)\" -DNOT_UTIL_LINUX -DGNUGETOPT=$(GNUGETOPT)
ifeq ($(LIBCGETOPT),0)
CPPFLAGS+=-I./gnu 
endif
WARNINGS=-Wall \
         -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual \
         -Wcast-align -Wmissing-declarations \
         -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
         -Wnested-externs -Winline
OPTIMIZE=-O3 -fno-strength-reduce
CFLAGS=$(WARNINGS) $(OPTIMIZE)
LDFLAGS=

sources=getopt.c
ifeq ($(LIBCGETOPT),0)
sources+=gnu/getopt.c gnu/getopt1.c
endif

objects=$(sources:.c=.o)

binaries=getopt

.PHONY: all clean realclean 
all: $(binaries) all_po

clean: clean_po
	-$(RM) $(objects) $(binaries) 

getopt: $(objects)
	$(CC) $(LDFLAGS) -o $@ $(objects)

install: getopt install_po
	$(INSTALL) -m 755 -d $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
	$(INSTALL) -m 755 getopt $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 getopt.1 $(DESTDIR)$(man1dir)

install_doc:
	$(INSTALL) -m 755 -d $(DESTDIR)$(getoptdir)
	$(INSTALL) -m 755 getopt-parse.bash getopt-parse.tcsh \
	                  getopt-test.bash getopt-test.tcsh \
	           $(DESTDIR)$(getoptdir)

ifeq ($(WITH_GETTEXT),1)
all_po: $(MOFILES)
install_po: all_po
	$(INSTALL) -m 755 -d $(DESTDIR)$(localedir)
	for lang in $(LANGUAGES) ; do \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(INSTALL) -m 755 -d $(DESTDIR)$$dir ;\
	  $(INSTALL) -m 644 po/$$lang.mo $(DESTDIR)$$dir/getopt.mo  ;\
	done
clean_po:
	$(RM) $(MOFILES)
else
all_po:
install_po:
clean_po:
endif

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $*.c -o $*.o

%.mo: %.po
	 $(MSGFMT) -o $@ $<

# You need GNU tar for this to work!
.PHONY: package
package: clean
	$(RM) -r $(UNLIKELYNAME)
	mkdir $(UNLIKELYNAME)
	ln -s .. $(UNLIKELYNAME)/$(BASENAME)
	cd $(UNLIKELYNAME) && tar cfvzp ../$(BASENAME).tar.gz --exclude='CVS' --exclude='*.tar.gz' --exclude=$(UNLIKELYNAME) $(BASENAME)/*
	$(RM) -r $(UNLIKELYNAME)

## cbflib 0.9.2.2

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,12 @@
 ######################################################################
 #  Makefile - command file for make to create CBFlib                 #
 #                                                                    #
-# Version 0.7.9 28 Dec 2007                                          #
+# Version 0.9.2 12 Feb 2011                                          #
 #                                                                    #
 #                          Paul Ellis and                            #
 #         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
 #                                                                    #
-# (C) Copyright 2006 - 2007 Herbert J. Bernstein                     #
+# (C) Copyright 2006 - 2011 Herbert J. Bernstein                     #
 #                                                                    #
 ######################################################################

=== debian/changelog ===
cbflib (0.9.2.2-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:24 +0000

cbflib (0.9.2.2-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * New upstream version (closes: #594600).
  * New maintainer: Debian Science Maintainers.
  * dpkg-shlibdeps no longer complains about symbols not found (closes: #558842)
  * New patch: types.patch, fixes compilation error on 64-bit architectures.
  * Use source format 3.0 (quilt).
  * Remove debian/README.source.
  * Use debhelper compat-level 9.
  * Install libraries to multiarch paths.
  * control:
    - Update standards-version to 3.9.4.
    - Remove build-dep from cdbs and quilt.
    - Remove unnecessary substvars.
    - Remove duplicate Section: from cbflib-bin.
    - Add Morten Kjeldgaard and Teemu Ikonen to Uploaders.
  * rules: Rewrite with dh.
  * Add libcbf0.symbols file.
  * Do not install examples to cbflib-doc.
  * Do not install .la file in libcbf-dev.
  * copyright: Use latest format, update years, fixes.
  
  [ Andreas Tille ]
  * DM-upload-allowed is obsolete

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 30 May 2013 21:46:47 +0200

cbflib (0.9.1-1) UNRELEASED; urgency=low

  * New upstream version.
  * Add debian/README.source
  * rules: Move libtool directory out of the way during build.
  * control: Update to standards-version 3.9.1
  * control: Add debhelper substvars to dependencies.
  * copyright: Update and convert to dep5 format.
  * Refresh autotools.patch for new source files and add libm to LDFLAGS.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 27 Aug 2010 18:07:01 +0200

cbflib (0.7.9.1-3) unstable; urgency=low

  [Morten Kjeldgaard]
  * Non-maintainer upload.
  
  [Andreas Tille]
  * DM-Upload-Allowed: yes 

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Mon, 08 Dec 2008 07:07:21 +0100

cbflib (0.7.9.1-2) unstable; urgency=low

  * Fixed watch file to agree with upstream website changes.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Sun, 30 Nov 2008 13:12:27 +0100

cbflib (0.7.9.1-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * Initial release (Closes: #467655)

  [ Morten Kjeldgaard ]
  * debian/patches: autotools building tools, added with patches.
  * debian/control: 
    - name of -dev package renamed to reflect standard convention: 
      cbflib-dev -> libcbf-dev. 
    - cbflib-bin is a new package containing utility binaries.
    - libcbf0 is a new package containing the shared library.
    - description shortened.
    - mok takes over as maintainer
  * debian/*.1: authored manpages for binaries in -bin package.
  * debian/rules: modified to allow building the autotools
  * debian/cbflib-doc.doc-base: longer description
  
 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Wed, 02 Apr 2008 19:42:21 +0200

=== debian/control ===
Source: cbflib
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
 Teemu Ikonen <tpikonen@gmail.com>
Build-Depends: debhelper (>= 9), m4, gfortran, automake, libtool
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/cbflib.git;a=summary
Vcs-Git: http://git.debian.org/git/collab-maint/cbflib.git
Homepage: http://www.bernstein-plus-sons.com/software/CBF/

Package: libcbf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcbf0 (= ${binary:Version}), ${misc:Depends}
Description: development files for CBFlib
 CBFLIB is a library of ANSI-C functions providing a simple mechanism for
 accessing Crystallographic Binary Files (CBF files) and Image-supporting
 CIF (imgCIF) files. The CBFLIB API is loosely based on the CIFPARSE API for
 mmCIF files. CBFLIB does not perform any semantic integrity checks and
 simply provides functions to create, read, modify and write CBF
 binary data files and imgCIF ASCII data files.
 .
 This package contains libraries and header files for program development.

Package: libcbf0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library supporting CBFlib
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains the shared library.

Package: cbflib-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities to manipulate CBF files
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains various utility programs.

Package: cbflib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libcbf-dev
Description: documentation for CBFlib
 CBFlib is a library of ANSI-C functions providing a simple mechanism
 for accessing Crystallographic Binary Files (CBF files) and
 Image-supporting CIF (imgCIF) files.
 .
 This package contains the documentation to CBFlib.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	-mv libtool libtool.junk
	test -d config || mkdir config/
	aclocal -I config
	libtoolize --force --copy
	automake --foreign --add-missing --copy
	autoconf
	dh_auto_configure

override_dh_clean:
	[ ! -d libtool.junk ] || mv libtool.junk libtool
	rm -f Makefile.in aclocal.m4 configure
	rm -f examples/Makefile.in src/Makefile.in
	rm -rf config
	dh_clean

## cbflib 0.9.5.18%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cbflib
 Section: science
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
  Teemu Ikonen <tpikonen@gmail.com>
-Build-Depends: debhelper (>= 9), m4, gfortran, automake, libtool
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/cbflib.git;a=summary
-Vcs-Git: http://git.debian.org/git/collab-maint/cbflib.git
+Build-Depends: debhelper (>= 11~),
+               pkg-config,
+               libhdf5-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/cbflib
+Vcs-Git: https://salsa.debian.org/science-team/cbflib.git
 Homepage: http://www.bernstein-plus-sons.com/software/CBF/
 
 Package: libcbf-dev
@@ -16,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcbf0 (= ${binary:Version}), ${misc:Depends}
+Depends: libcbf1 (= ${binary:Version}), libhdf5-dev, ${misc:Depends}
 Description: development files for CBFlib
  CBFLIB is a library of ANSI-C functions providing a simple mechanism for
  accessing Crystallographic Binary Files (CBF files) and Image-supporting
@@ -27,7 +28,7 @@
  .
  This package contains libraries and header files for program development.
 
-Package: libcbf0
+Package: libcbf1
 Section: libs
 Architecture: any
 Multi-Arch: same

## cbflib 0.9.5.18+dfsg1

=== CMakeLists.txt ===

######################################################################
#  CMakeLists.txt - cmake build file for make to create CBFlib       #
#                                                                    #
# Version 0.9.5 27 April 2014                                        #
#                                                                    #
#                          Paul Ellis and                            #
#         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
#                                                                    #
# (C) Copyright 2006 - 2011 Herbert J. Bernstein                     #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
# YOU MAY REDISTRIBUTE THE CBFLIB PACKAGE UNDER THE TERMS OF THE GPL #
#                                                                    #
# ALTERNATIVELY YOU MAY REDISTRIBUTE THE CBFLIB API UNDER THE TERMS  #
# OF THE LGPL                                                        #
#                                                                    #
######################################################################

########################### GPL NOTICES ##############################
#                                                                    #
# This program is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU General Public License as     #
# published by the Free Software Foundation; either version 2 of     #
# (the License, or (at your option) any later version.               #
#                                                                    #
# This program is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      #
# GNU General Public License for more details.                       #
#                                                                    #
# You should have received a copy of the GNU General Public License  #
# along with this program; if not, write to the Free Software        #
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA           #
# 02111-1307  USA                                                    #
#                                                                    #
######################################################################

######################### LGPL NOTICES ###############################
#                                                                    #
# This library is free software; you can redistribute it and/or      #
# modify it under the terms of the GNU Lesser General Public         #
# License as published by the Free Software Foundation; either       #
# version 2.1 of the License, or (at your option) any later version. #
#                                                                    #
# This library is distributed in the hope that it will be useful,    #
# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  #
# Lesser General Public License for more details.                    #
#                                                                    #
# You should have received a copy of the GNU Lesser General Public   #
# License along with this library; if not, write to the Free         #
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,    #
# MA  02110-1301  USA                                                #
#                                                                    #
######################################################################

######################################################################
#                                                                    #
#                    Stanford University Notices                     #
#  for the CBFlib software package that incorporates SLAC software   #
#                 on which copyright is disclaimed                   #
#                                                                    #
# This software                                                      #
# -------------                                                      #
# The term "this software", as used in these Notices, refers to      #
# those portions of the software package CBFlib that were created by #
# employees of the Stanford Linear Accelerator Center, Stanford      #
# University.                                                        #
#                                                                    #
# Stanford disclaimer of copyright                                   #
# --------------------------------                                   #
# Stanford University, owner of the copyright, hereby disclaims its  #
# copyright and all other rights in this software.  Hence, anyone    #
# may freely use it for any purpose without restriction.             #
#                                                                    #
# Acknowledgement of sponsorship                                     #
# ------------------------------                                     #
# This software was produced by the Stanford Linear Accelerator      #
# Center, Stanford University, under Contract DE-AC03-76SFO0515 with #
# the Department of Energy.                                          #
#                                                                    #
# Government disclaimer of liability                                 #
# ----------------------------------                                 #
# Neither the United States nor the United States Department of      #
# Energy, nor any of their employees, makes any warranty, express or #
# implied, or assumes any legal liability or responsibility for the  #
# accuracy, completeness, or usefulness of any data, apparatus,      #
# product, or process disclosed, or represents that its use would    #
# not infringe privately owned rights.                               #
#                                                                    #
# Stanford disclaimer of liability                                   #
# --------------------------------                                   #
# Stanford University makes no representations or warranties,        #
# express or implied, nor assumes any liability for the use of this  #
# software.                                                          #
#                                                                    #
# Maintenance of notices                                             #
# ----------------------                                             #
# In the interest of clarity regarding the origin and status of this #
# software, this and all the preceding Stanford University notices   #
# are to remain affixed to any copy or derivative of this software   #
# made or distributed by the recipient and are to be affixed to any  #
# copy of software made or distributed by the recipient that         #
# contains a copy or derivative of this software.                    #
#                                                                    #
# Based on SLAC Software Notices, Set 4                              #
# OTT.002a, 2004 FEB 03                                              #
######################################################################



######################################################################
#                               NOTICE                               #
# Creative endeavors depend on the lively exchange of ideas. There   #
# are laws and customs which establish rights and responsibilities   #
# for authors and the users of what authors create.  This notice     #
# is not intended to prevent you from using the software and         #
# documents in this package, but to ensure that there are no         #
# misunderstandings about terms and conditions of such use.          #
#                                                                    #
# Please read the following notice carefully.  If you do not         #
# understand any portion of this notice, please seek appropriate     #
# professional legal advice before making use of the software and    #
# documents included in this software package.  In addition to       #
# whatever other steps you may be obliged to take to respect the     #
# intellectual property rights of the various parties involved, if   #
# you do make use of the software and documents in this package,     #
# please give credit where credit is due by citing this package,     #
# its authors and the URL or other source from which you obtained    #
# it, or equivalent primary references in the literature with the    #
# same authors.                                                      #
#                                                                    #
# Some of the software and documents included within this software   #
# package are the intellectual property of various parties, and      #
# placement in this package does not in any way imply that any       #
# such rights have in any way been waived or diminished.             #
#                                                                    #
# With respect to any software or documents for which a copyright    #
# exists, ALL RIGHTS ARE RESERVED TO THE OWNERS OF SUCH COPYRIGHT.   #
#                                                                    #
# Even though the authors of the various documents and software      #
# found here have made a good faith effort to ensure that the        #
# documents are correct and that the software performs according     #
# to its documentation, and we would greatly appreciate hearing of   #
# any problems you may encounter, the programs and documents any     #
# files created by the programs are provided **AS IS** without any   *
# warranty as to correctness, merchantability or fitness for any     #
# particular or general use.                                         #
#                                                                    #
# THE RESPONSIBILITY FOR ANY ADVERSE CONSEQUENCES FROM THE USE OF    #
# PROGRAMS OR DOCUMENTS OR ANY FILE OR FILES CREATED BY USE OF THE   #
# PROGRAMS OR DOCUMENTS LIES SOLELY WITH THE USERS OF THE PROGRAMS   #
# OR DOCUMENTS OR FILE OR FILES AND NOT WITH AUTHORS OF THE          #
# PROGRAMS OR DOCUMENTS.                                             #
######################################################################

######################################################################
#                                                                    #
#                           The IUCr Policy                          #
#      for the Protection and the Promotion of the STAR File and     #
#     CIF Standards for Exchanging and Archiving Electronic Data     #
#                                                                    #
# Overview                                                           #
#                                                                    #
# The Crystallographic Information File (CIF)[1] is a standard for   #
# information interchange promulgated by the International Union of  #
# Crystallography (IUCr). CIF (Hall, Allen & Brown, 1991) is the     #
# recommended method for submitting publications to Acta             #
# Crystallographica Section C and reports of crystal structure       #
# determinations to other sections of Acta Crystallographica         #
# and many other journals. The syntax of a CIF is a subset of the    #
# more general STAR File[2] format. The CIF and STAR File approaches #
# are used increasingly in the structural sciences for data exchange #

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,12 @@
 ######################################################################
 #  Makefile - command file for make to create CBFlib                 #
 #                                                                    #
-# Version 0.9.2 12 Feb 2011                                          #
+# Version 0.9.5 05 Feb 2017                                          #
 #                                                                    #
 #                          Paul Ellis and                            #
 #         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
 #                                                                    #
-# (C) Copyright 2006 - 2011 Herbert J. Bernstein                     #
+# (C) Copyright 2006 - 2015 Herbert J. Bernstein                     #
 #                                                                    #
 ######################################################################

=== debian/changelog ===
cbflib (0.9.5.18+dfsg1-1build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 11:19:44 +0100

cbflib (0.9.5.18+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.9.5.18+dfsg1
  * watch: Check new releases from github.
  * watch: Add dversionmangle to strip dfsg-part.
  * Drop old patches types.patch and autotools.patch.
  * makefile-fix: Get system HDF5 config from pkg-config.
  * makefile-fix: Fix CBFLIB_DONT_USE_LOCAL_TIFF config var.
  * makefile-fix: Allow disabling PyCBF from env with NOPYCBF=yes.
  * makefile-fix: Install libs to $(CBF_PREFIX)/$(INSTALL_LIB).
  * makefile-fix: Install lib to SOVERSION and add symlinks.
  * makefile-fix: Allow disabling libimg and libfcb builds.
  * makefile-fix: Do not link example progs w. libimg.
  * makefile-fix: Add SONAME to linker flags.
  * makefile-fix: Add LDFLAGS to SOLDFLAGS to pick up hardening flags etc.
  * makefile-fix: Append CFLAGS, CPPFLAGS and LDFLAGS from the environment.
  * makefile-fix: Simplify building example programs.
  * makefile-deb: Use $DESTDIR/usr as CBF_PREFIX.
  * makefile-deb: Do not build tiff2cbf.
  * Makefile-deb: Use dynamic linking to cbflib in programs.
  * compat: Set debhelper compat to 11.
  * rules: Add get-orig-source target for dfsg-version.
  * rules: Export buildflags and configuration, remove overrides.
  * rules: Add --no-parallel arg to dh.
  * rules: Remove duplicate files in dh_install override.
  * Rename libcbf0 to libcbf1 due to SONAME bump.
  * Add libcb1.symbols file.
  * *.install: Install from new tmpdirs.
  * cbflib-doc.install: Install all .html doc files.
  * cbflib-bin.install: Also install cbf2nexus.
  * copyright: Update years, separate section for md5.
  * copyright: Add Source-section explaining dfsg-repack.
  * control: Update Vcs-* fields to point to salsa.
  * control: Add build-dep to pkg-config.
  * control: Make libcbf-dev depend on libhdf5-dev.
  * changelog: Remove trailing whitespace.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 15 Oct 2018 20:58:57 +0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# CBFlib makefile configuration vars
export INSTALL_LIB := lib/$(DEB_HOST_MULTIARCH)
export CBFLIB_DONT_USE_LOCAL_HDF5=yes
export CBFLIB_DONT_USE_LOCAL_REGEX=yes
export CBFLIB_DONT_USE_LOCAL_TIFF=yes
export CBFLIB_DONT_USE_LZ4=yes
export CBFLIB_DONT_USE_BSHUF=yes
export CBFLIB_DONT_USE_PYCIFRW=yes
export NOPYCBF=yes
export NOLIBIMG=yes
export NOFORTRAN=yes


# Parallel builds do not work
%:
	dh $@ --no-parallel

override_dh_install:
	# Exclude duplicates (lintian check duplicate-files)
	dh_install -Xcif_img_1.3.2_22Jun05.html -Xcif_img_1.3.1.html


DEBVERSION=0.9.5.18+dfsg1
CBFLIBTAR=CBFlib-0.9.5.18.tar.gz
CBFLIBURL=https://github.com/yayahjb/cbflib/archive/$(CBFLIBTAR)
TDIR=cbflib-$(DEBVERSION)
get-orig-source:
	mkdir -p $(TDIR)
	[ -f $(CBFLIBTAR) ] || wget $(CBFLIBURL)
	tar -C $(TDIR) --strip-components=1 -zxf $(CBFLIBTAR)
	# Remove unnecessary dirs
	rm -r $(TDIR)/drel-ply
	rm -r $(TDIR)/dREL-ply-0.5
	rm -r $(TDIR)/external_packages
	rm -r $(TDIR)/libtool
	rm -r $(TDIR)/ply-3.2
	# Extra junk in pycbf
	rm -r $(TDIR)/pycbf/pycbf_0.7.7.zip
	rm -r $(TDIR)/pycbf/_pycbf.pyd
	# latex output from pycbf.tex
	rm -r $(TDIR)/pycbf/pycbf.aux
	rm -r $(TDIR)/pycbf/pycbf.dvi
	rm -r $(TDIR)/pycbf/pycbf.log
	rm -r $(TDIR)/pycbf/pycbf.out
	rm -r $(TDIR)/pycbf/pycbf.pdf
	rm -r $(TDIR)/pycbf/pycbf.toc
	#
	tar -zcf cbflib_$(DEBVERSION).orig.tar.gz $(TDIR)

## cbflib 0.9.6%2Bdfsg1

=== debian/changelog ===
cbflib (0.9.6+dfsg1-2) unstable; urgency=medium

  * d/pathes:
    + 0018-fix-the-FTBFS-with-missing-m4-Makefile.m4.patch (Added)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 20 Apr 2020 20:16:03 +0200

cbflib (0.9.6+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: (Closes: #912139)
    + Build during dh_auto_build rather than dh_auto_install.
    + Pass C++ compiler as variabl C++.
    + Make pkg-config substitutable.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.6+dfsg1
  * Reverted all patches, the package source format is now a real 3.0 (quilt)
  * d/salsa-ci.yml: Added for continuous intégration.
  * d/copyright: Files-Excluded is used to removed unwanted files.
  * d/rules: Removed the get-orig-source which is useless now.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New binary packages: python3-pycbf and python3-cbflib-dbg (Closes: #681997)
  * d/control: Updated standards-version to 4.5.0 (nothing to do).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Apr 2020 09:46:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
- Teemu Ikonen <tpikonen@gmail.com>
-Build-Depends: debhelper (>= 11~),
+           Teemu Ikonen <tpikonen@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               libhdf5-dev,
                pkg-config,
-               libhdf5-dev
-Standards-Version: 4.2.1
+               python3-all-dbg,
+               python3-all-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/cbflib
 Vcs-Git: https://salsa.debian.org/science-team/cbflib.git
 Homepage: http://www.bernstein-plus-sons.com/software/CBF/
+Rules-Requires-Root: no
 
 Package: libcbf-dev
 Section: libdevel
@@ -33,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library supporting CBFlib
  CBFlib is a library of ANSI-C functions providing a simple mechanism
  for accessing Crystallographic Binary Files (CBF files) and
@@ -43,7 +47,7 @@
 
 Package: cbflib-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: utilities to manipulate CBF files
  CBFlib is a library of ANSI-C functions providing a simple mechanism
  for accessing Crystallographic Binary Files (CBF files) and
@@ -51,11 +55,37 @@
  .
  This package contains various utility programs.
 
+Package: python3-pycbf
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Python modules for CBFLib -- Python3
+ CBFlib is a library of ANSI-C functions providing a simple mechanism
+ for accessing Crystallographic Binary Files (CBF files) and
+ Image-supporting CIF (imgCIF) files.
+ .
+ This package contains the Python3 module.
+
+Package: python3-pycbf-dbg
+Architecture: any
+Section: debug
+Depends: python3-pycbf (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python modules for CBFLib -- Python3 (Debug)
+ CBFlib is a library of ANSI-C functions providing a simple mechanism
+ for accessing Crystallographic Binary Files (CBF files) and
+ Image-supporting CIF (imgCIF) files.
+ .
+ This package contains the Python3 Debug module.
+
 Package: cbflib-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Enhances: libcbf-dev
+Multi-Arch: foreign
 Description: documentation for CBFlib
  CBFlib is a library of ANSI-C functions providing a simple mechanism
  for accessing Crystallographic Binary Files (CBF files) and

## cbflib 0.9.6+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 ######################################################################
 #  CMakeLists.txt - cmake build file for make to create CBFlib       #
 #                                                                    #
-# Version 0.9.5 27 April 2014                                        #
+# Version 0.9.6 06 November 2018                                     #
 #                                                                    #
 #                          Paul Ellis and                            #
 #         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #
 #                                                                    #
-# (C) Copyright 2006 - 2011 Herbert J. Bernstein                     #
+# (C) Copyright 2006 - 2018 Herbert J. Bernstein                     #
 #                                                                    #
 ######################################################################

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ######################################################################
 #  Makefile - command file for make to create CBFlib                 #
 #                                                                    #
-# Version 0.9.5 05 Feb 2017                                          #
+# Version 0.9.6 20 Nov 2018                                          #
 #                                                                    #
 #                          Paul Ellis and                            #
 #         Herbert J. Bernstein (yaya@bernstein-plus-sons.com)        #

=== debian/changelog ===
cbflib (0.9.6+dfsg1-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:20:45 +0000

cbflib (0.9.6+dfsg1-3) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994298).
  * Update standards version to 4.5.1, no changes needed.
  * Used dh-sequence-python3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 20:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            Teemu Ikonen <tpikonen@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               dh-sequence-python3,
                libhdf5-dev,
                pkg-config,
-               python3-all-dbg,
                python3-all-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/cbflib
 Vcs-Git: https://salsa.debian.org/science-team/cbflib.git
 Homepage: http://www.bernstein-plus-sons.com/software/CBF/
@@ -66,20 +66,6 @@
  .
  This package contains the Python3 module.
 
-Package: python3-pycbf-dbg
-Architecture: any
-Section: debug
-Depends: python3-pycbf (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Python modules for CBFLib -- Python3 (Debug)
- CBFlib is a library of ANSI-C functions providing a simple mechanism
- for accessing Crystallographic Binary Files (CBF files) and
- Image-supporting CIF (imgCIF) files.
- .
- This package contains the Python3 Debug module.
-
 Package: cbflib-doc
 Section: doc
 Architecture: all

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
    https://github.com/yayahjb/cbflib/releases \
        (?:.*?/)CBFlib-?(\d[\d.]*)-*.*\.tar\.gz debian uupdate

## cbflib 0.9.7%2Bdfsg1

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/CBFlib-@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, searchmode=plain, \
 dversionmangle=auto, repacksuffix=+dfsg1" \
  https://api.github.com/repos/yayahjb/cbflib/releases?per_page=100 \
  https://api.github.com/repos/yayahjb/cbflib/tarball/CBFlib-@ANY_VERSION@ debian uupdate
